<template>
  <div class="call-header">
    <div class="label">
      <JIcon
        icon="appLogo"
        size="20px"
      />
      <JText
        color="subtitle"
        type="text-4"
        weight="normal"
        class="app-name"
      >
        {{ $t('app_name') }}
      </JText>
    </div>
    <div class="actions">
      <JIcon
        icon="drag"
        size="14px"
        container-size
        tabindex="0"
        class="icon"
      />
      <JIcon
        icon="closeOutline"
        size="14px"
        container-size
        tabindex="0"
        class="icon"
        @click="$dialog.close(dialogId)"
      />
    </div>
  </div>
</template>

<script setup lang="ts">
import { inject } from 'vue';
import { DialogPlugin } from '@new-jira-clone/ui/src/plugins/dialog';
import { JIcon, JText } from '@new-jira-clone/ui/src/components';

defineProps({
  dialogId: {
    type: Number,
    required: true,
  },
});

const $dialog = inject('$dialog') as DialogPlugin;
</script>

<style scoped lang="scss">
.call-header {
  display: flex;
  justify-content: space-between;
  z-index: 1;
  padding-top: 16px;
  padding-bottom: 16px;
}

.label {
  display: flex;
  align-items: center;
}

.app-name {
  margin-left: 4px;
}

.actions {
  display: flex;
  align-items: center;
  gap: 10px;
}

.icon {
  color: #fff;
  fill: #fff;
  cursor: pointer;
}

.app-logo-icon {
  position: relative;
  margin-right: 6px;
  width: 20px;
  height: 20px;
  color: #fff;
  fill: #fff;
}
</style>
